function md=bedslopecompute(md);
%SLOPECOMPUTE - compute the bed slope of a model
%
%   Usage:
%      md=bedslope(md)
%
	%timing
	t1=clock;

	analysis_types=SlopeAnalysisEnum;
	solution_type=SlopeAnalysisEnum;

	displaystring(md.verbose,'%s',['create finite element model']);
	femmodel=NewFemModel(md,solution_type,analysis_types,1);

	%retrieve parameters
	verbose=femmodel.parameters.Verbose;
	qmu_analysis=femmodel.parameters.QmuAnalysis;

	%compute solution
	if ~qmu_analysis,
		displaystring(verbose,'%s',['call computational core']);
		femmodel=bedslope_core(femmodel);
	
		displaystring(verbose,'%s',['write results']);
		md.results.bedslopecompute=OutputResults(femmodel.elements, femmodel.nodes , femmodel.vertices , femmodel.loads , femmodel.materials, femmodel.parameters, femmodel.results);

	else
		%launch dakota driver for diagnostic core solution
		Qmu(femmodel,femmodel.parameters);
	end

	%stop timing
	t2=clock;
	displaystring(md.verbose,'\n%s\n',['solution converged in ' num2str(etime(t2,t1)) ' seconds']);
